#include "entityuuid.h"

#include <iostream>

#include <boost/uuid/uuid_generators.hpp>
#include <boost/uuid/uuid_io.hpp>

void EntityUuid::createUuid()
{
    static boost::uuids::random_generator generator{};
    uuid_ = generator();
}

void EntityUuid::setUuidFromString(const std::string& uuidString)
{
    boost::uuids::string_generator generator{};
    uuid_ = generator(uuidString);
}

void EntityUuid::setSourceNo(int sourceNo) { sourceNo_ = sourceNo; }

int EntityUuid::getSourceNo() const { return sourceNo_; }
