#ckwg +4
# Copyright 2010 by Kitware, Inc. All Rights Reserved. Please refer to
# KITWARE_LICENSE.TXT for licensing information, or contact General Counsel,
# Kitware, Inc., 28 Corporate Drive, Clifton Park, NY 12065.

# Locate the system installed JSONCPP
# The following variables will be set:
#
# JSONCPP_FOUND       - Set to true if JSONCPP can be found
# JSONCPP_INCLUDE_DIR - The path to the JSONCPP header files
# JSONCPP_LIBRARY     - The full path to the JSONCPP library

if( JSONCPP_DIR )
  if( JSONCPP_FIND_VERSION )
    find_package( JSCONCPP ${JSONCPP_FIND_VERSION} NO_MODULE)
  else()
    find_package( JSONCPP NO_MODULE)
  endif()
elseif( NOT JSONCPP_FOUND )
  message(STATUS "Searching for json.h")
  find_path( JSONCPP_INCLUDE_DIR json )
  message(STATUS "Searching for json.h - ${JSONCPP_INCLUDE_DIR}")
                    
  message(STATUS "Searching for libJSONCPP")
  find_library( JSONCPP_LIBRARY jsoncpp )
  message(STATUS "Searching for libJSONCPP - ${JSCONPP_LIBRARY}")
  
  include( FindPackageHandleStandardArgs )
  FIND_PACKAGE_HANDLE_STANDARD_ARGS( JSONDPP JSONCPP_INCLUDE_DIR JSONCPP_LIBRARY )
endif()
