#ifndef ENTITY_H
#define ENTITY_H

class Entity
{
  public:
    enum class State { NEW, UPDATE, DELETE, OK };
    virtual ~Entity() = default;
    void setState(State state) { state_ = state; }
    virtual State getState() const;

  private:
    State state_{State::NEW};
};

#endif // ENTITY_H
