#ifndef CORE_UTILS_H
#define CORE_UTILS_H

#include <locale>
#include <optional>
#include <string>

std::string formatCentAsEuroString(const int cent, int width = 10);
std::string& ltrim(std::string& str, const std::string& chars = "\t\n\v\f\r ");
std::string& rtrim(std::string& str, const std::string& chars = "\t\n\v\f\r ");
std::string& trim(std::string& str, const std::string& chars = "\t\n\v\f\r ");
bool case_insensitive_match(std::string s1, std::string s2);

#endif
